import Vue from 'vue';

Vue.filter('date', (value, format) => {
  const date = new Date(value);
  let options = {};
  if (format) {
    options = {
      day: format.includes('d') ? 'numeric' : undefined,
      month: format.includes('mlong') ? 'long' : undefined,
      year: format.includes('Y') ? 'numeric' : undefined,
      hour: format.includes('H') ? 'numeric' : undefined,
      minute: format.includes('i') ? 'numeric' : undefined,
      second: format.includes('s') ? 'numeric' : undefined,
      //month: format.includes('mn') ? 'numeric' : undefined,
    };
  }
  return date.toLocaleDateString('cs', options);
});
